# FastenerNet - 3D-CAD models of different fasteners for academic purposes

FastenerNet is a dataset containing 900 CAD fasteners, each given as a stl file.<br/>
It was created at the Stuttgart University of Applied Science and it consists of 6 different types of fasteners. <br/>
Each type is represented by 150 objects, making a total of 900 objects.<br/>

Grouping:

id 1-150: blind rivets<br/>
id 151-300: clip nuts<br/>
id 301-450: nuts<br/>
id 451-600: screws<br/>
id 601-750: spread rivets<br/>
id 751-900: fir tree clips<br/>

For experiments with FastenerNet, please consider the following work: <br/>
"Automatic Classification and Disassembly of Fasteners in Industrial 3D CAD-Scenarios", Michele F. Adesso, Robert Hegewald,
Nicola Wolpert, Elmar Schömer, Bianca Maier, Benjamin A. Epple, ICRA 2022



# Copyright
All provided synthetic CAD models were modeled by looking at real fasteners. Therefore the provided fasteners look real but do not have the physical properties of their templates. This dataset is provided for the convenience of academic research only. If the data set is used scientifically, this source must be properly cited.


This work was supported by the “Research at
Universities of Applied Sciences” programme of the German
Federal Ministry of Education and Research, funding code
03FH010IX6.

![](logo.jpg)


